Skip to content

List transfers

Request

Get the list of transfers for a given user's profile (defaults to user's personal profile).

You can add query parameters to specify user's profile (personal or business), time period and/or payment status. For example, you can query all failed payments created since last week, or all completed payments created since yesterday.

Security
UserToken or PersonalToken
Query
profileinteger, (int64)

User profile ID. If parameter is omitted, defaults to user's personal profile

statusstring

Comma separated list of one or more status codes to filter transfers. See Tracking Transfers for complete list of statuses

sourceCurrencystring

Source currency code

targetCurrencystring

Target currency code

createdDateStartstring, (date-time)

Starting date to filter transfers, inclusive of the provided date

createdDateEndstring, (date-time)

Ending date to filter transfers, inclusive of the provided date

limitinteger, (int32)

Maximum number of records to be returned in response

offsetinteger, (int32)

Starting record number

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/transfers?profile=0&status=string&sourceCurrency=string&targetCurrency=string&createdDateStart=2019-08-24T14%3A15%3A22Z&createdDateEnd=2019-08-24T14%3A15%3A22Z&limit=0&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Returns an array of transfer objects, with or without an originator block depending on the type of each transfer.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
One of:
]
Response
[ { "id": 16521632, "user": 4342275, "targetAccount": 8692237, "sourceAccount": null, "quote": null, "quoteUuid": "8fa9be20-ba43-4b15-abbb-9424e1481050", "status": "incoming_payment_waiting", "reference": "reference text", "rate": 0.89, "created": "2017-11-24 10:47:49", "business": null, "transferRequest": null, "details": { "reference": "Testing" }, "hasActiveIssues": false, "sourceCurrency": "EUR", "sourceValue": 0, "targetCurrency": "GBP", "targetValue": 150, "customerTransactionId": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "payinSessionId": "23330542-8e9e-419f-95eb-312b880f92ad" } ]